org.apache.drill.jdbc

## Class ITTestShadedJar.AbstractLoaderThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.drill.jdbc.ITTestShadedJar.AbstractLoaderThread

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  ITTestShadedJar.DrillbitStartThread, ITTestShadedJar.DrillbitStopThread

Enclosing class:
  ITTestShadedJar

    public abstract static class ITTestShadedJar.AbstractLoaderThread
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`protected ClassLoader` `loader`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLoaderThread(ClassLoader loader)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `go()`
`protected abstract void` `internalRun()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### loader

    protected final ClassLoader loader

### Constructor Detail

#### AbstractLoaderThread

    public AbstractLoaderThread(ClassLoader loader)

### Method Detail

#### run

    public final void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### internalRun

    protected abstract void internalRun()
                                 throws Exception

Throws:
  `Exception`

#### go

    public void go()
            throws Exception

Throws:
  `Exception`